/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.tsunami.main.cli.option.validator;

import com.google.common.collect.ImmutableList;
import org.junit.runner.RunWith;
import org.junit.runners.JUnit4;

/** Tests for {@link IpV4Validator}. */
@RunWith(JUnit4.class)
public class IpV4ValidatorTest extends IpValidatorTest {

  @Override
  protected String flagName() {
    return "ip-v4-target";
  }

  @Override
  protected IpValidator getValidator() {
    return new IpV4Validator();
  }

  @Override
  protected ImmutableList<String> validIps() {
    return ImmutableList.of("127.0.0.1", "8.8.8.8");
  }

  @Override
  protected ImmutableList<String> invalidIps() {
    return ImmutableList.of("", "bogus_string", "1234", "2002:af4:9b91::", "www.google.com");
  }
}
